﻿using System.ServiceModel;

namespace WpkgInstaller
{

    [ServiceContract(CallbackContract = typeof(IWpkgNotifierMessageClient))]
    public interface IWpkgNotifierMessageServer
    {
        [OperationContract(IsOneWay = true)]
        void Register(int pid);

        [OperationContract(IsOneWay = true)]
        void Unregister(int pid);

        [OperationContract(IsOneWay = true)]
        void ProcessRequest(WpkgMessageRequestType type);
    }
}
